Bug 1634543 - python-uinput: Remove (sub)packages from Fedora 30+: python2-uinput
Summary: python-uinput: Remove (sub)packages from Fedora 30+: python2-uinput
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-uinput
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-10-01 08:50 UTC by Miro Hrončok
Modified: 2019-01-14 09:18 UTC (History)
8 users (show)

Fixed In Version: python-uinput-0.10.1-20.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-12 19:25:47 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2018-10-01 08:50:17 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-uinput were marked for removal:

 * python2-uinput

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Zbigniew Jędrzejewski-Szmek 2018-10-12 19:25:47 UTC
Rebuilt without the python2 subpackage

Comment 2 Antoine Martin 2019-01-14 09:18:29 UTC
Hmm, that's not helping - this package has been completely broken for years, and still is:
https://bugzilla.redhat.com/show_bug.cgi?id=1356751

$ python3 -c "import uinput"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib64/python3.7/site-packages/uinput/__init__.py", line 42, in <module>
    _ABS_CNT = ABS_MAX[1] + 1
NameError: name 'ABS_MAX' is not defined


Note You need to log in before you can comment on or make changes to this bug.